
From: Hans Reiser <reiser@namesys.com>

This patch makes symbols needed for drop_inode to be EXPORT_SYMBOL-ed.

inodes_stat
generic_forget_inode
destroy_inode
wake_up_inode

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/inode.c         |    9 ++++++++-
 25-akpm/include/linux/fs.h |    1 +
 2 files changed, 9 insertions(+), 1 deletion(-)

diff -puN fs/inode.c~reiser4-allow-drop_inode-implementation fs/inode.c
--- 25/fs/inode.c~reiser4-allow-drop_inode-implementation	2004-10-03 16:43:04.219690064 -0700
+++ 25-akpm/fs/inode.c	2004-10-03 16:43:04.224689304 -0700
@@ -96,6 +96,7 @@ DECLARE_MUTEX(iprune_sem);
  * Statistics gathering..
  */
 struct inodes_stat_t inodes_stat;
+EXPORT_SYMBOL(inodes_stat);
 
 static kmem_cache_t * inode_cachep;
 
@@ -181,6 +182,8 @@ void destroy_inode(struct inode *inode) 
 		kmem_cache_free(inode_cachep, (inode));
 }
 
+EXPORT_SYMBOL(destroy_inode);
+
 
 /*
  * These are initializations that only need to be done
@@ -1032,7 +1035,7 @@ void generic_delete_inode(struct inode *
 
 EXPORT_SYMBOL(generic_delete_inode);
 
-static void generic_forget_inode(struct inode *inode)
+void generic_forget_inode(struct inode *inode)
 {
 	struct super_block *sb = inode->i_sb;
 
@@ -1059,6 +1062,8 @@ static void generic_forget_inode(struct 
 	destroy_inode(inode);
 }
 
+EXPORT_SYMBOL(generic_forget_inode);
+
 /*
  * Normal UNIX filesystem behaviour: delete the
  * inode when the usage count drops to zero, and
@@ -1331,6 +1336,8 @@ void wake_up_inode(struct inode *inode)
 		wake_up_all(wq);
 }
 
+EXPORT_SYMBOL(wake_up_inode);
+
 static __initdata unsigned long ihash_entries;
 static int __init set_ihash_entries(char *str)
 {
diff -puN include/linux/fs.h~reiser4-allow-drop_inode-implementation include/linux/fs.h
--- 25/include/linux/fs.h~reiser4-allow-drop_inode-implementation	2004-10-03 16:43:04.220689912 -0700
+++ 25-akpm/include/linux/fs.h	2004-10-03 16:43:04.226689000 -0700
@@ -1383,6 +1383,7 @@ extern struct inode * igrab(struct inode
 extern ino_t iunique(struct super_block *, ino_t);
 extern int inode_needs_sync(struct inode *inode);
 extern void generic_delete_inode(struct inode *inode);
+extern void generic_forget_inode(struct inode *inode);
 
 extern struct inode *ilookup5(struct super_block *sb, unsigned long hashval,
 		int (*test)(struct inode *, void *), void *data);
_
